Index: /MetaXa/src/XaLib.rsc
===================================================================
--- /MetaXa/src/XaLib.rsc	(revision 422)
+++ /MetaXa/src/XaLib.rsc	(revision 423)
@@ -43,5 +43,5 @@
 					return t.args[i];
 			}
-			else if(cf(iter(sort(_))) := t.prod.lhs[i]) {
+			else if(\cf(iter(sort(_))) := t.prod.lhs[i]) {
 				return t.args[i].args;
 			}
@@ -60,5 +60,5 @@
 	if(isCF(t))
 	    for(i <- domain(t.args))
-			if(cf(iter(sort(_))) := t.prod.lhs[i]) {
+			if(\cf(iter(sort(_))) := t.prod.lhs[i]) {
 				return t.args[i].args;
 			}
@@ -68,9 +68,9 @@
 
 public bool isCF(Tree t) {
-	return (cf(sort(_)) := t.prod.rhs || cf(\parameterized-sort(_,_)) := t.prod.rhs) ? false;
+	return (\cf(sort(_)) := t.prod.rhs || \cf(\parameterized-sort(_,_)) := t.prod.rhs) ? false;
 }
 
 public bool isCF(Symbol s) {
-	return (cf(sort(_)) := s|| cf(\parameterized-sort(_,_)) := s) ? false;
+	return (\cf(sort(_)) := s|| \cf(\parameterized-sort(_,_)) := s) ? false;
 }
 
@@ -80,16 +80,16 @@
 public list[Tree] asList(Tree t) {
 	assert notAmb(t);
-	if(cf(\iter-star-sep(sort(srt),lit(sep))) := t.prod.rhs)
-		return [x | x <- t.args, cf(sort(srt)) := x.prod.rhs];
-	else if(cf(\iter-star(sort(srt),lit(sep))) := t.prod.rhs)
-		return [x | x <- t.args, cf(sort(srt)) := x.prod.rhs];
-	else if(cf(\iter-sep(sort(srt),lit(sep))) := t.prod.rhs)
-		return [x | x <- t.args, cf(sort(srt)) := x.prod.rhs];
-	else if(cf(\iter(sort(srt),lit(sep))) := t.prod.rhs)
-		return [x | x <- t.args, cf(sort(srt)) := x.prod.rhs];
-	else if(\list(cf(\iter(sort(srt)))) := t.prod)
-		return [x | x <- t.args, cf(sort(srt)) := x.prod.rhs];
-	else if(\list(cf(\iter-star(sort(srt)))) := t.prod)
-		return [x | x <- t.args, cf(sort(srt)) := x.prod.rhs];
+	if(\cf(\iter-star-sep(sort(srt),lit(sep))) := t.prod.rhs)
+		return [x | x <- t.args, \cf(sort(srt)) := x.prod.rhs];
+	else if(\cf(\iter-star(sort(srt),lit(sep))) := t.prod.rhs)
+		return [x | x <- t.args, \cf(sort(srt)) := x.prod.rhs];
+	else if(\cf(\iter-sep(sort(srt),lit(sep))) := t.prod.rhs)
+		return [x | x <- t.args, \cf(sort(srt)) := x.prod.rhs];
+	else if(\cf(\iter(sort(srt),lit(sep))) := t.prod.rhs)
+		return [x | x <- t.args, \cf(sort(srt)) := x.prod.rhs];
+	else if(\list(\cf(\iter(sort(srt)))) := t.prod)
+		return [x | x <- t.args, \cf(sort(srt)) := x.prod.rhs];
+	else if(\list(\cf(\iter-star(sort(srt)))) := t.prod)
+		return [x | x <- t.args, \cf(sort(srt)) := x.prod.rhs];
 	throw IllegalTreeFormat("List node not found", t);
 }
@@ -127,7 +127,7 @@
 	assert notAmb(t);
 	for(i <- [0 .. size(t.prod.lhs)])
-		if(cf(opt(\layout())) := t.prod.lhs[i])
+		if(\cf(opt(\layout())) := t.prod.lhs[i])
 			;
-		else if(cf(_) := t.prod.lhs[i]) {
+		else if(\cf(_) := t.prod.lhs[i]) {
 			if(n == 0)
 				return t.args[i];
@@ -188,11 +188,11 @@
 public str sortOfList(Symbol sym) {
 	switch(sym) {
-		case cf(\iter-star-sep(s, _)):
-			return sortName(s);
-		case cf(\iter-sep(s, _)):
-			return sortName(s);
-		case cf(\iter-star(s)):
-			return sortName(s);
-		case cf(\iter(s)):
+		case \cf(\iter-star-sep(s, _)):
+			return sortName(s);
+		case \cf(\iter-sep(s, _)):
+			return sortName(s);
+		case \cf(\iter-star(s)):
+			return sortName(s);
+		case \cf(\iter(s)):
 			return sortName(s);
 		default:
@@ -212,5 +212,5 @@
 public str sortName(Symbol sym) {
 	switch(sym) {
-		case cf(s):
+		case \cf(s):
 			return sortName(s);
 		case \lex(s):
Index: /MetaXa/src/XaTree.rsc
===================================================================
--- /MetaXa/src/XaTree.rsc	(revision 422)
+++ /MetaXa/src/XaTree.rsc	(revision 423)
@@ -238,14 +238,14 @@
 	
 	list[XaToken] concPat = [];
-	list[XaToken] space = [];
+	list[XaToken] spaces = [];
 	list[XaToken] toks = [];
 	str firstChar;
 	for(tok <- tree@concrete) {
 		if(concPat != [])
-			space = [space(" ")];
+			spaces = [space(" ")];
 		if(lastChar == "\n") {
 			if(indent != "")
 				concPat += [space(indent)];
-			space = [];
+			spaces = [];
 			lastChar = "\t";
 		}
@@ -254,8 +254,8 @@
 		chars = lastChar;
 		toks = [tok];
-
+		rawPrintln(tok);
 		switch(tok) {
 			case space(l):
-					space = [];
+					spaces = [];
 			case comment(c): {
 				firstChar = firstChar ? "#";
@@ -286,5 +286,5 @@
 					if(lastChar != "\t") { // add newline and indent
 						toks = [space((lastChar == "\n") ? indent : "\n" + indent), tok];
-						space = [];
+						spaces = [];
 					}
 					<tree.args[i], fc, _> = reindent(tree.args[i], indent, "\t");
@@ -303,6 +303,6 @@
 
 		if(/^(<suppressSpace>)$/ := chars && /^(<alwaysSpace>)$/ !:= chars)
-			space = []; 
-		concPat += space;
+			spaces = []; 
+		concPat += spaces;
 		concPat += toks;
 	}
